segmentation fault

Incompatibility between the Intel® MPI Library and certain versions of the Mellanox* OFED drivers

Cause

There is an incompatibility between the Intel® MPI Library and some versions of the Mellanox* OFED drivers when using the DAPL* fabric.  This has been reported with Mellanox* OFED 2.1-1.0.0, and could exist in other versions.

Symptoms

You will likely see Segmentation Faults in MPI_Init when running.  A stack trace could show:

  • Linux*
  • Server
  • Intel® MPI Library
  • incompatibility
  • seg fault
  • segmentation fault
  • linux drivers
  • InfiniBand
  • Message Passing Interface
  • Cluster Computing
  • Intel® Fortran Compiler - Increased stack usage of 8.0 or higher compilers causes segmentation fault

    The Intel Compilers have increased stack size needs in your application for performance analysis. This article describes how to increase stack size and/or workaround this problem by allocation on the heap (for Intel Fortran).
  • Apple OS X*
  • Linux*
  • Microsoft Windows* (XP, Vista, 7)
  • C/C++
  • Fortran
  • Intel® Fortran Compiler
  • stack size
  • Signal 11
  • segmentation fault
  • Subscribe to segmentation fault